Bug 1618485 - Subscription details doesn't show in web UI
Summary: Subscription details doesn't show in web UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: Nightly
Hardware: x86_64
OS: Other
unspecified
high vote
Target Milestone: 6.5.0
Assignee: sat6-team-ux
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-16 18:43 UTC by Chris Brown
Modified: 2019-11-05 22:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:48 UTC
Target Upstream Version:


Attachments (Terms of Use)
View Subscription Manager for FIPS (31.92 KB, image/png)
2018-08-16 18:43 UTC, Chris Brown
no flags Details
Web UI Console Log (3.50 KB, text/plain)
2018-08-16 18:45 UTC, Chris Brown
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:57 UTC
Foreman Issue Tracker 25573 None None None 2018-11-28 16:09:54 UTC

Description Chris Brown 2018-08-16 18:43:15 UTC
Created attachment 1476498 [details]
View Subscription Manager for FIPS

Description of problem:
Users can't view subscription management info to sync in a FIPS environment

Version-Release number of selected component (if applicable):
Satellite 6.4 on CentOS with FIPS

How reproducible:


Steps to Reproduce:
On a FIPS-enabled machine
1. Upload a manifest
2. Go to Content > Subscriptions
3. Click on the name of the subscription
4. Screen is blank

Actual results:

Strict-Transport-Security: The connection to the site is untrustworthy, so the specified header was ignored.

Expected results:

View subscription info from manifest

Additional info:

Comment 1 Chris Brown 2018-08-16 18:45:49 UTC
Created attachment 1476499 [details]
Web UI Console Log

Logs for error with subscription management in FIPS. 


The [Learn More] links point to here: https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Strict-Transport-Security

Comment 6 Ivan Necas 2018-08-30 16:22:00 UTC
This happens on Katello upstream nightly as well.

Walden: seem like WebUI related: would it be possible to get somebody from your team to have a look?

Please note that the original report has wrong information: it's not related to Sat 6.4 and it's not related to FIPS at all.

Comment 10 Walden Raines 2018-09-25 22:04:27 UTC
I cannot reproduce this in 6.4

Comment 12 Walden Raines 2018-11-28 16:09:52 UTC
Created redmine issue https://projects.theforeman.org/issues/25573 from this bug

Comment 13 Walden Raines 2018-12-13 15:50:26 UTC
I cannot reproduce this in 6.5 either so I'm moving it to ON_QA.  Please provide additional instructions to reproduce if you can still reproduce this.

Comment 15 Peter Ondrejka 2019-01-21 08:35:48 UTC
Verified on Satellite 6.5 snap 12 on FIPS-enabled RHEL7, subscription UI behaves as expected now

Comment 17 errata-xmlrpc 2019-05-14 12:37:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.